Subject: Re: [ANCP] Working Group Last Call for draft-ietf-ancp-mib-an-11

From: "Wojciech Dec (wdec)" <[email-masked]>
Date: Thu, 7 Nov 2013 17:54:55 +0000

Thanks.

Wouldn't is help to document this in an updated version of the draft?

This would conclude the WG-Last call as there appear to be no other open
issues, and the next step would be (for me) to prepare the write-up for
the IESG.

Thanks.

On 29/10/2013 16:27, "Tom Taylor" <[email-masked]> wrote:

>Stefaan actually answered the question I intended. Essentially, the
>answer is that walking the whole table is no big deal because it won't
>be that large. Thanks, aand consider the matter cleared.
>
>tom
>
>On 29/10/2013 11:15 AM, Moti Morgenstern wrote:
>> Hi all,
>>
>> The question, if I understand it correctly, assumes that the
>>ancpAnSessionUp notification reports the ancpAnCurrentSessionAnInstance
>>only as a value (which means the management system does not know what
>>session ID is involved).
>> However, in SNMP each object (Variable Binding) in the PDU (no matter
>>if that is a SET/GET message of a notification message) is actually more
>>than just a value.
>>
>> Actually, each Variable Binding consists of 4 pieces of information:
>> (1) The length of the Variable Binding instance in bytes [should the
>>destination wish to jump over that Variable Binding block].
>> (2) The full OID of the Variable Binding instance (i.e., which means
>>you got the ancpAnSessionConfigSessionId value embedded here)
>> (3) The value type
>> (4) The value
>>
>> I hope that this clears the question.
>>
>> Regards,
>> Moti
>> -----Original Message-----
>> From: DE CNODDER, STEFAAN (STEFAAN)
>>[mailto:[email-masked]]
>> Sent: Tuesday, October 29, 2013 3:30 PM
>> To: Moti Morgenstern
>> Subject: FW: [ANCP] Working Group Last Call for
>>draft-ietf-ancp-mib-an-11
>>
>> Hi Moti,
>>
>> Do you have an answer for the question below?  Scanning the whole table
>>does not look a big problem to me because I do not expect that many ANCP
>>sessions in an AN, but still the question looks relevant for me if there
>>is such a method to directly access the right row.
>>
>> Regards,
>> Stefaan
>>
>>
>> -----Original Message-----
>> From: Wojciech Dec (wdec) [mailto:[email-masked]]
>> Sent: maandag 28 oktober 2013 15:05
>> To: [email-masked]
>> Cc: [email-masked]; Tom Taylor
>> Subject: Re: [ANCP] Working Group Last Call for
>>draft-ietf-ancp-mib-an-11
>>
>> Hi MIB-draft authors,
>>
>> Could you kindly reply to Tom's comments/questions. We can then close
>>the last call.
>>
>> Regards,
>> Wojciech.
>>
>>
>>
>> On 19/09/2013 13:52, "Tom Taylor" <[email-masked]> wrote:
>>
>>> On 05/09/2013 7:58 AM, Wojciech Dec (wdec) wrote:
>>>> Hi All,
>>>>
>>>> Starting from today we would like to initiate a week Working Group
>>>> Last Call for the following draft:
>>>>
>>>> Access Node Control Protocol (ANCP) MIB module for Access Nodes
>>>>
>>>> http://tools.ietf.org/html/draft-ietf-ancp-mib-an-11
>>>>
>>>> Accordingly, please review these documents and bring any remaining
>>>> issues, or issues whose resolution is not satisfactory, to the
>>>> attention of the Working Group on this list and/or by using the issue
>>>> tracker tool.
>>>>
>>>> Please note that both of these parts has recently been substantially
>>>> rewritten by Roy, just as I rewrote p6 a while back. As such, we're
>>>> treating those changes as a proposal from the editors to the Working
>>>> Group, to be confirmed. Please review carefully with this in mind.
>>>>
>>>> To give people ample time to review, we'll have a 3-week WGLC, ending
>>>> on September 27.
>>>>
>>>> Regards,
>>>>
>>>> Wojciech and Matthew.
>>>>
>>>
>>> I have reviewed the latest version of this document. There are a couple
>>> instances of non-native English syntax, but not enough to worry about.
>>> In general the document looks good to go.
>>>
>>> I have one question regarding the ancpAnSessionUp notification. The
>>> index to the session tables is ancpAnSessionConfigSessionId. How, then,
>>> does one retrieve the data associated with the
>>> ancpAnCurrentSessionAnInstance, which is buried in the
>>> ancpAnCurrentSessionTabl? Is it necessary to walk the complete
>>> ancpAnCurrentSessionTable (well, on the average, half the table)
>>> applying a filter?
>>
>>
>>
>> This e-mail message is intended for the recipient only and contains
>>information which is CONFIDENTIAL and which may be proprietary to ECI
>>Telecom. If you have received this transmission in error, please inform
>>us by e-mail, phone or fax, and then delete the original and all copies
>>thereof.
>>
>>
>_______________________________________________
>ANCP mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ancp